<?php

require '../system/start.php';
require '../system/functions.php';

$str['mesto'] = 'Бан пользователя';
$str['block'] = $set['site'].' / Бан пользователя';
include '../style/'.$style.'/head.php';

if ($user['level'] < 3) {
	echo 'У вас нет прав просматривать данную страницу!<br />';
	include '../style/'.$style.'/foot.php';
	exit();
}



echo '<div class="where">Бан пользователя</div>';

switch($act) {
	case 'ban':
		if ($_POST['submit']) {
			$prich = protect($_POST['prich']);
			
			$num = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `id` = '" . $_GET['id'] . "'"), 0);
			if ($num > 0) {
				mysql_query("UPDATE `users` SET `ban` = '1',
												`prich_ban` = 'Вас забанил " . $user['login'] . " по причине: " . $prich . "' 
												WHERE `id` = '" . $_GET['id'] . "'");
				echo 'Пользователь забанен по причине: ' . $prich;
			} else {
				echo 'Такого пользователя нет!<br />';
			}
		} else {
			echo '<form action="?act=ban&amp;id=' . $_GET['id'] . '" method="post">
			Причина:<br />
			<input name="prich" type="text" /><br />
			<input name="submit" type="submit" /></form>';
		}
	break;
	
	case 'unban':
		$num = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `id` = '" . $_GET['id'] . "'"), 0);
			if ($num > 0) {
				mysql_query("UPDATE `users` SET `ban` = '0',`prich_ban` = '' WHERE `id` = '" . $_GET['id'] . "'");
				echo 'Пользователь разбанен!';
			} else {
				echo 'Такого пользователя нет!<br />';
			}
	break;
default :

}
include '../style/'.$style.'/foot.php';
?>